import type { Metadata } from "next";
import { Inter } from "next/font/google";
import "./globals.css";
import Navbar from "@/lib/common/presenter/ui/Navbar";
import Footer from "@/lib/common/presenter/ui/Footer";

const inter = Inter({
  subsets: ["latin"],
});

export const metadata: Metadata = {
  title: "魚之魷魂 SquidSpirit",
  description: "程式、科技、教學、分享",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="zh-Hant">
      <body className={`${inter.className} antialiased`}>
          <div className="min-h-screen">
            <Navbar />
            {children}
          </div>
          <Footer />
      </body>
    </html>
  );
}
